# CreateConfig

class CreateConfig constructor(var long_url: String , var domain: String = Constants.EMPTY, var group_guid: String = Constants.EMPTY, var title: String = Constants.EMPTY, var tags: Array < String > = emptyArray(), var deeplinks: CreateDeeplinks = CreateDeeplinks(), var toJson: Boolean = false)(source)

Provides a configuration to create a Bitlink

See the Bit.ly API for more information.

## Constructors

CreateConfig
Link copied to clipboard
constructor(builder: CreateConfig.Builder )
constructor(long_url: String , domain: String = Constants.EMPTY, group_guid: String = Constants.EMPTY, title: String = Constants.EMPTY, tags: Array < String > = emptyArray(), deeplinks: CreateDeeplinks = CreateDeeplinks(), toJson: Boolean = false)

## Types

Builder
Link copied to clipboard
data class Builder (var long_url: String )

Configures the creation parameters of a Bitlink.

## Properties

deeplinks
Link copied to clipboard
var deeplinks : CreateDeeplinks
domain
Link copied to clipboard
var domain : String
group_guid
Link copied to clipboard
var group_guid : String
long_url
Link copied to clipboard
var long_url : String
tags
Link copied to clipboard
var tags : Array < String >
title
Link copied to clipboard
var title : String
toJson
Link copied to clipboard
var toJson : Boolean